package WfInvoice::Model::WfInvoiceDB;
use utf8;

=head1 NAME

WfInvoice::Model::WfInvoiceDB - Catalyst DBIC Schema Model

=head1 SYNOPSIS

See L<WfInvoice>

=head1 DESCRIPTION

L<Catalyst::Model::DBIC::Schema> Model using schema L<WfInvoiceDB>

=head1 GENERATED BY

Catalyst::Helper::Model::DBIC::Schema - 0.38


=head1 LICENSE

    This file is part of WfInvoice -- the free invoicing software
    Copyright (C) 2012 Anton Katsarov <anton@webface.bg>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

use strict;
use warnings;
use base 'Catalyst::Model::DBIC::Schema';

__PACKAGE__->config(
  schema_class => 'WfInvoiceDB',
  connect_info => [
    WfInvoice->config->{dbi_dsn}, WfInvoice->config->{dbi_user},
    WfInvoice->config->{dbi_pass}, {on_connect_do => ['SET NAMES utf8']},
  ],
);

1;
